package cn.iocoder.yudao.module.identity.convert.code;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.identity.controller.admin.code.vo.*;
import cn.iocoder.yudao.module.identity.dal.dataobject.code.CodeDO;

/**
 * 标识码 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface CodeConvert {

    CodeConvert INSTANCE = Mappers.getMapper(CodeConvert.class);

    CodeDO convert(CodeCreateReqVO bean);

    CodeDO convert(CodeUpdateReqVO bean);

    CodeRespVO convert(CodeDO bean);

    List<CodeRespVO> convertList(List<CodeDO> list);

    PageResult<CodeRespVO> convertPage(PageResult<CodeDO> page);

    List<CodeExcelVO> convertList02(List<CodeDO> list);

    List<ThirdCodeExcelVO> convert2ThirdExcel(List<CodeDO> list);
}
